Subject: Re: bug#27581: 26.0.50; Error while compiling new Org code

From: Glenn Morris <[email-masked]>
Date: Wed, 05 Jul 2017 16:04:47 -0400

Stefan Monnier wrote:

> Not sure which is the right fix, but I do wonder why have this
> eval-after-load in org-compat.el instead of simply moving the code to
> org.el: eval-after-load is normally only used when we need to add code
> to a file that's not under our control.

I would guess it's for installing a newer Org than your Emacs
installation came with, from which point of view the org.el that came
with Emacs isn't under (y)our control.

(BTW, reporting Org issues to bug-gnu-emacs, rather than their own mailing
list, is generally unproductive AFAICS.)